com.smartgwt.client.types

## Enum LinePattern

- java.lang.Object
- - java.lang.Enum<LinePattern>
  - - com.smartgwt.client.types.LinePattern

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LinePattern>

      public enum LinePattern
      extends java.lang.Enum<LinePattern>
      implements ValueEnum

  Supported styles of drawing lines.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH` Dashed line
    `DOT` Dotted line
    `LONGDASH` Dashed line, with longer, more widely spaced dashes
    `SHORTDASH` Dashed line, with shorter, more tightly spaced dashes
    `SHORTDOT` Dotted line, with more tightly spaced dots
    `SOLID` Solid line

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LinePattern` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LinePattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SOLID

          public static final LinePattern SOLID

      Solid line

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "solid".

    - #### DOT

          public static final LinePattern DOT

      Dotted line

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dot".

    - #### DASH

          public static final LinePattern DASH

      Dashed line

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dash".

    - #### SHORTDOT

          public static final LinePattern SHORTDOT

      Dotted line, with more tightly spaced dots

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "shortdot".

    - #### SHORTDASH

          public static final LinePattern SHORTDASH

      Dashed line, with shorter, more tightly spaced dashes

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "shortdash".

    - #### LONGDASH

          public static final LinePattern LONGDASH

      Dashed line, with longer, more widely spaced dashes

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "longdash".

  - ### Method Detail

    - #### values

          public static LinePattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LinePattern c : LinePattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LinePattern valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`